//***************************************************
// the "base" pour  1 plaque a led  32/32 sur f401
// version utilisable en TP de S2 et dans les projets de S3
// reception série à 115K bauds  protocole "duj"
// A B C D    A B adresses C couleur D commande et couleur
// consulter la doc du protocole
//**************************************************

#include "mbed.h"
#define LOW 0
#define HIGH 1
#define R 0
#define V 1
#define B 2
// definition des broches pour  carte F401
AnalogIn canx(PC_4);AnalogIn cany(PB_1); DigitalOut plus(PB_15); DigitalOut gnd(PB_14);//adxl335
DigitalOut sd(PC_9);     // indicateur de fonctionnement 
BusOut ABCD(PA_14,PB_0,PA_15,PC_1); // version 32/32  nucleo f401 
DigitalOut B1(PA_7);DigitalOut V1(PA_4);DigitalOut R1(PA_6);
DigitalOut B0(PA_5);DigitalOut V0(PA_1);DigitalOut R0(PA_0);
DigitalOut CLK(PC_2);    //  Data clock    - rising edge
DigitalOut LAT(PC_0);    //  Data latch    - active low 
DigitalOut OE(PC_3);     //  Output enable - active low 
Serial serie(NC, PC_7);  //  tx, rx   ( pas de tx utilisé)
     
// variables de lecture
    int ccx ; int ccy ;         // acceleration
// variables en écriture
     int br = 4 ; int bb = 0; int bv= 0 ; // prepo couleurs ( circle et char)     
//variables  de travail diverses 
    int ZX ; int ZY ; int ZR ; int ZV ; int ZB ; // pour tirrage aléatoire couleurs
    int Zin = 100;  // variable de decomptage ( timer soft )
    int vc = 0;  // ? 

#include "LED2.h"      // commandes gestion des led en ligne a ligne 
#include "char.h"      // char pour écrire à creuser
#include "draw.h"      // char pour écrire à creuser
#include "serie.h"     // gestion demandes par liaison serie
//***************************************************

void init ()
   {
    serie.baud(115200);  // from xbee k bits/sec 
    serie.attach(&interrupt, Serial::RxIrq);  // autorise IT de liaison serie 
    g1 = 10 ; g2 = 100 ; g3 = 200 ;  // initialisation petit gamma  
    gnd = 0 ;plus = 1 ;  // accéléro en marche
    Tr2();   // efface  les tableaux
   }

int main()
{
init(); // initialisations importantes       
    
while(1)  // boucle principale 
    {          // permanence 
    accel();   //   mesures sur le capteur accéleration en x et y 
    Tr2();     //   clear screen 
    draw();    //  ...... lien vers la création de vos dessins 
    Taffi();   //  ...... affichage de vos dessins 
    }
}
